<operation name="loop_visit_nursing_homes">
    <action-definition name="Straight">
        <parameter type="Location" array="false" />
    </action-definition>
    <parameter type="Drone" array="true" name="uavs" />
    <parameter type="NavigationPoint" array="true" name="nursing_homes" />
    <parameter type="NavigationPoint" array="false" name="hospital" />
    <parameter type="Time" array="false" name="start_time" />
    <parameter type="Area" array="false" name="city_center" />
    <mission>
        <sequential>
            <constraint type="StartTime" variable="start_time">
                <constraint type="NoFlyZone" variable="city_center">
                    <for type="parallel" location="nursing_home" location-list="nursing_homes" drone="uav" drone-list="uavs">
                        <action name="Straight">
                            <left reference="uav" />
                            <argument reference="nursing_home" />
                        </action>
                        <action name="Straight">
                            <left reference="uav" />
                            <argument reference="hospital" />
                        </action>
                    </for>
                </constraint>
            </constraint>
        </sequential>
    </mission>
</operation>
